884 comments

Evosys PURCHASED
Hi,

I noticed in the demo a pretty cool animation when switching pages. I don't have it (neither in seed nor full version).

I have the classes .view-animate et .fade-up on the content but it does nothing.

What should I do to make in works ?

Thanks
Evosys PURCHASED
Edit: I'm using v 3.3.0
Hello Evosys!

This animation was implemented in the angular 1 version, we will add it to the angular 2 version in the next release.

Thank you for your feedback!
Cheers!
Evosys PURCHASED
Thanks for your quick reactivity (as always :) )
Hi,

Is this theme compatible with Angular2-seed template at https://github.com/mgechev/angular-seed?
Please give me answer as early as possible so I can take my decision ahead
Hello Umeshpandit001 !

We don't think you need to use angular-seed with our template, our template provides it's own seed version.

Cheers!
Thanks for your reply. Can you please provide me snap about your seed version so I can verify at my end.
Hi!

If you are looking for some screenshots, please share your email with us first.

Good day to you :)
hey, great theme. Can I use this theme with in ASP.NET MVC project ?
Hello Rodrigordi!

We are glad you are enjoying the theme!
We haven't tried to use the template with ASP.NET MVC, but usually there are no integration problems with any backend.

Have a good day!
Hi I am getting issue while using highcharts in this. Please let me know as I am wating for reply. My issue is when I am using highchart I am getting issue in template page

"
More than one component: ChartComponent, ChartComponent"

[ERROR ->]<chart [options]="options" id="chart"></chart>
Hello maxwell_fargose!

It seems that you have two root components (ChartComponent) on the same page.

Cheers!
Hi Smartfox,
in the angular2 version you're using this hack:

//
// This is a hack on angular style loader to prevent ng2-select2 from adding its styles.
// They are hard-coded into the component, so there are no other way to get rid of them
//

ng2-select2 1.0.0-beta.6 has a new option to disable css import, you may update the lib, add the option cssImport="false" to the <select2 ....> tag and remove the hack leftovers.

thanks!
Hello Hantarex!

Thank you for your feedback, that really helps!

Have a good day!
Hi
You template is cool, i use version 3.3.0 for angular 2 and then i need to use with angular-cli please guide me.

Thank
Hi Miracleadv!

Many thanks :)
We haven't implemented the angular-cli support yet, so, unfortunately, we cannot guide you at the moment.

Cheers!
Just like others, I like to mention that it needs angular-cli version. The reason that it's important to us is that when integrating with libraries like ng2-firebase, it gives integration guide lines specific for angular-cli. Yes, it can be done with existing webpack version that you're using but it takes a bit of time to understand.

Also, I would recommend cleaning up the code to specific component. For example, some sidebar logic codes seem to scatter out like layout.component where that logic really should be in sidebar component file

Also, I would recommend putting comments on package.json to show which libraries are used for which feature. I did have to lookup each one but would be nice to know where it's being used.

Besides that, you guys are pretty damn good ng2 developers. I mainly bought it to reverse engineer and learn more about ng2. Pretty damn good stuff for $20.
Hello Kchojhu!

Thank you for you kind words!

Initially, we haven't planned to use angular-cli, but now we see that the users really want and request it, so we take it really seriously now.
Some of the components need to be refactored, but we will do our best to make sure each release will be better than the previous.

So, really thank you for your feedback and have a good day!
Hi

How can i add it to .net core project?
Hi!

Unfortunately, we do not support .net integrations at the moment, but, generally, the flow should be same as integrating the template with any other backend.

Cheers!
Hi,

I would like to know in Angular2 final, when will the dropdown with mulitple select available? Please let us know.
Hi Sathish_r!

It depends on the lib version we use for it, we'll check if it has such a possibility while preparing the next release.

Cheers!
If you're referring to the ng2-select2 lib, even with the latest 1.0.0.beta-6 version there's a bug with multiple select. Yesterday I've submitted a pull request on github https://github.com/NejcZdovc/ng2-select2/pull/46 but I'm not sure if that's going to be merged soon.
Hi Hantarex!

We hope that the lib's creator will look into your changes as it would be really nice to have this fix.

Thank you for your support, cheers!
Hi,

I found bug on mobile, on popup notification, can't scroll at touchscreen in 'Notification', 'Message', 'Progress'

When scroll notification popup on mobile browser, its move/scroll Menu sidebar, not the notification popup
Hi Gabonleon!

Thanks for your feedback, we'll look into the issue.

Have a good day!
Hi SmartFox,
the current Bootstrap 4 Alpha 6 is a bigger update than Alpha 5 was.
When you're going to release it, can you please write a migration guide similar to this https://genesisui.com/migration-to-160.html
As you can understand it would be of great help to keep our customized apps up to date.
Thanks
Hi!

Thank for your feedback! We know that migration to alpha 6 is painful, so we'll do our best to make it less painful for you :)

Cheers!
Hi, having problems with Sing template, angular 2, trying to modify dashboard component,
"export class Dashboard implements OnInit, OnDestroy"

But ngOnInit() nor constructor aren't being firing out.

Need to execute a service call when Dashboard loads up.

Thanks
JuanLuis
Hi JuanLuis!

It is quite strange as we have ngOnInit method in dashboard.component.ts and it works perfectly. The problem must be with your implementation.

Have a good day!
Hi,

Does the template supports any form of internationalization builtin?

Thanks,
-Javier
Hello Javier!

No, it does not. We haven't implemented i18n at the moment.

Cheers!
Is this app is based on angular CLI. If not then how can we migrate this app on Angular CLI.
Hello GlobalBaba!

The Sing is not based on angular cli and, unfortunatelly, we don't have the migration guides at the moment.

Have a good day!
Hello,
I see that you have mongoose already setup for us in static.js but I wanted to change the port from what you have "8088" to something else. How can I do that without modifying your files in node_modules?
That also brings me to another problem, for general setup items you have server.js in node_modules... I'm having trouble figuring out the best approach for setting up things like routes and other libraries... where would you suggest to do this since I feel I shouldn't be modifying server.js.
Thanks!
Hello Brianushman!

Could you, please, tell us the version of the template (ajax, angular, angular 2) you're referring to? Thank you!

Cheers!
Hi
I have a lot of this error on start:

ERROR in ./src/app/dashboard/dashboard.module.ts
Module not found: Error: Can't resolve 'jQuery-Mapael/js/jquery.mapael.js' in '/Users/max/Documents/templates/sing-wrapbootstrap-3.4.0/angular2/src/app/dashboard'
@ ./src/app/dashboard/dashboard.module.ts 5:0-43
@ ./src/app/layout/layout.routes.ts
@ ./src/app/layout/layout.module.ts
@ ./src/app/app.routes.ts
@ ./src/app/app.module.ts
@ ./src/app/index.ts
@ ./src/main.browser.ts
@ multi main

apparently are all napa modules.

thanks in advance
Hello Massimilianoregis!

Quite strange that they're not getting installed. Please, make sure you have latest node and npm, also try updating git.

Tell us, please, if it helps.
Cheers!
Hi there,

I recently upgraded to the latest version from old angular RC version. I started getting this "Stack Level too deep " error when building the code. It is too annoying, whenever i change the code, it auto builds and fails with this error at random. Then i have to kill the server and restart it.
Each time its failing at different point ( mainly with the bootstrap css package).

Could you please help?

ERROR in ./src/app/scss/application.scss
Module build failed:
@include _assert-ascending($grid-breakpoints, "$grid-breakpoints");
^
Stack level too deep
in /Users/Sathish/kloudio/angular2-seed/node_modules/bootstrap/scss/_variables.scss (line 133, column 10)
@ ./src/app/app.component.ts 19:16-50
@ ./src/app/app.module.ts
@ ./src/app/index.ts
@ ./src/main.browser.ts
@ multi main
Hi Sathish_r!

Upgrading from angular 2 RC to release version is tough, please, check the versions of other libs comparing to our latest version and especially check bootstrap 4 alpha version.

Good luck and have a good day!
Hi!

Thanks for your effort, the theme is awesome. We have a problem with angular2-datatable. Search box only filters elements in the current page, while official demo http://plnkr.co/edit/PxBaZs?p=preview filters among all elements in the array. What is the problem?

Thanks
Hi Alvarormoya!

Thank you for your feedback! We will pass it to out development team for further investigation and if it is a bug, we will do our best to fix it asap.

Thank you for the patience!
Cheers!
Sing PURCHASED
Hello,

I am using sing-3.3.0 and have used Tab panel in my web page as given in sing app.
when i try to set active tab , i am getting error

$('#myTab a[href="#assumtion"]').tab('show')
> Uncaught TypeError: $(...).tab is not a function
at <anonymous>:1:34

<ul class="nav nav-tabs pull-xs-left" id="myTab" role="tablist">
<li class="nav-item">
<a class="nav-link active" id="home-tab" data-toggle="tab" href="#basic" role="tab" aria-controls="basic" aria-expanded="true">Basic</a>
</li>
<li class="nav-item">
<a class="nav-link" id="profile-tab" data-toggle="tab" href="#assumtion" role="tab" aria-controls="assumtion" aria-expanded="false">Assumtion</a>
</li>
<li class="nav-item dropdown">
<a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
Dropdown <b class="caret"></b>
</a>
<div class="dropdown-menu">
<a class="dropdown-item" id="dropdown1-tab" href="#dropdown1" role="tab" data-toggle="tab" aria-controls="dropdown1" aria-expanded="false">@fat</a>
<a class="dropdown-item" id="dropdown2-tab" href="#dropdown2" role="tab" data-toggle="tab" aria-controls="dropdown2" aria-expanded="false">@mdo</a>
</div>
</li>
</ul>

<div class="tab-content mb-lg" id="myTabContent">
<div role="tabpanel" class="tab-pane active in clearfix" id="basic" aria-labelledby="basic-tab" aria-expanded="true">
...
</div>
<div class="tab-pane" id="assumtion" role="tabpanel" aria-labelledby="assumtion-tab" aria-expanded="false">
...
</div>
<div class="tab-pane" id="dropdown1" role="tabpanel" aria-labelledby="dropdown1-tab" aria-expanded="false">
...
</div>
<div class="tab-pane" id="dropdown2" role="tabpanel" aria-labelledby="dropdown2-tab" aria-expanded="false">
...
</div>
</div>

Please help me out with this issue.
Hello Sing :)

Could you, please, tell us if you are referring to the angular 2 version or ajax version?

Thank you,
Cheers!
Sing PURCHASED
I am using angular 2 version.
Hello,

For tabs we're using https://github.com/valor-software/ng2-bootstrap (not the bootstrap jquery accordion).
Please, check out the accordion component in their documentation.

Cheers!

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$24
3459Purchases

Licenses: Details »

Single application $24
Version:3.8.0
Type:
  • HTML Template
Bootstrap: Compatible with 4.x
Layouts:
  • Responsive
Browsers:
  • IE 10, 11
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Categories:
Tags: angular, angular4, bootstrap4, bower, html5, react, retina, sass, seed, web app
Item#:WB0J6BJ85
Released:2 years ago
Updated:1 month ago
Sold exclusively on WrapBootstrap
okendoken

okendoken

Signed up 4 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: